Subject: Ticket Assigned - Store information
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 22 Apr 2022 16:46:12 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Store information Today I was visit at tahliya branch jeddah opposite to Haram center I shop more than 50items and back to counter at 5:55pm and found some employee but they said it's closed now and other shift people will come after 6:00 pm I wait more than 30. Min no one came and no one responded it's very bad service https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4214445